package com.usky.ids.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author han
 * @since 2025-01-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class IdsParkMap implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 楼层车位统计信息
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 楼层名称
     */
    private String mapName;

    /**
     * 使用中数量
     */
    private Integer usingCount;

    /**
     * 空闲数量
     */
    private Integer freeCount;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 租户id
     */
    private Integer tenantId;


}
