package com.usky.iot;


import com.usky.iot.factory.RemoteIotFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(contextId = "remoteIotService", value = "service-iot" , fallbackFactory = RemoteIotFactory.class)
public interface RemoteIotService {

    @GetMapping("/executeTimedSendingOld")
    void executeTimedSendingOld();

    @GetMapping("/reportSubmissionReminderOld")
    void reportSubmissionReminderOld();
}
