package com.usky.oa.service;

import com.alibaba.fastjson.JSONObject;
import com.usky.oa.domain.OaFbdDocument;
import com.usky.common.mybatis.core.CrudService;

/**
 * <p>
 * 发布申请表 服务类
 * </p>
 *
 * @author fu
 * @since 2025-02-20
 */
public interface OaFbdDocumentService extends CrudService<OaFbdDocument> {

    /**
     * 新增发布申请 或 更新发布申请
     **/
    void addOrUpDate(OaFbdDocument oaFbdDocument, JSONObject node);


    // 获取审批表数据
    void getOaApproval(OaFbdDocument oaFbdDocument);
}
