package com.usky.iot.service.vo;


import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author han
 * @since 2023-07-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DeviceImportVo implements Serializable {
    /**
     * 系统编号（必填）
     */
    @Excel(name = "系统编号（必填）")
    private String productCode;

    /**
     * 设备id（必填）
     */
    @Excel(name = "设备id（必填）")
    private String deviceId;

    /**
     * 设备名称（必填）
     */
    @Excel(name = "设备名称（必填）")
    private String deviceName;
    /**
     * SIM
     */
    @Excel(name = "SIM")
    private String simCode;

    /**
     * 安装位置描述（必填）
     */
    @Excel(name = "安装位置描述（必填）")
    private String installAddress;

    /**
     * 设备所属类型（1、普通设备  2、网关设备  3、网关子设备）
     */
    @Excel(name = "设备所属类型（必填）",replace = {"普通设备_1", "网关设备_2", "网关子设备_3"})
    private Integer categoryType;

    /**
     * 所属网关
     */
    @Excel(name = "所属网关")
    private String gatewayUuid;

}
